--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -32,7 +32,6 @@
 pkg_check_modules(URL_DISPATCHER REQUIRED lomiri-url-dispatcher)
 pkg_check_modules(AccountsQt5 REQUIRED accounts-qt5)
 pkg_check_modules(LIBNOTIFY REQUIRED libnotify)
-pkg_check_modules(SYSTEMD REQUIRED systemd)
 
 if(EDATASERVER_VERSION VERSION_LESS "3.16")
     set(EVOLUTION_API_3_17 "0")
@@ -105,7 +104,6 @@
 add_subdirectory(src)
 add_subdirectory(contacts)
 add_subdirectory(updater)
-add_subdirectory(systemd)
 add_subdirectory(dbus)
 add_subdirectory(po)
 #add_subdirectory(eds-test)
